## IdeLangservHighlighter IdeLangservHighlighter |

## Functions

IdeLangservClient * | ide_langserv_highlighter_get_client ()
void | ide_langserv_highlighter_set_client ()

## Properties

IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_HIGHLIGHTER
struct | IdeLangservHighlighterClass
| IdeLangservHighlighter

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservHighlighter

## Implemented Interfaces

IdeLangservHighlighter implements IdeHighlighter.

## Description

## Functions

### ide_langserv_highlighter_get_client ()

    IdeLangservClient *
    ide_langserv_highlighter_get_client (IdeLangservHighlighter *self);

#### Returns

An IdeLangservHighlighter or `NULL`.

[transfer none][nullable]

### ide_langserv_highlighter_set_client ()

    void
    ide_langserv_highlighter_set_client (IdeLangservHighlighter *self,
                                         IdeLangservClient *client);

## Types and Values

### IDE_TYPE_LANGSERV_HIGHLIGHTER

    #define IDE_TYPE_LANGSERV_HIGHLIGHTER (ide_langserv_highlighter_get_type())

### struct IdeLangservHighlighterClass

    struct IdeLangservHighlighterClass {
      IdeObjectClass parent_class;
    };

### IdeLangservHighlighter

    typedef struct _IdeLangservHighlighter IdeLangservHighlighter;

## Property Details

### The `“client”` property

      “client”                   IdeLangservClient *

Client.

Flags: Read / Write